Bug 498800 - (perl-Text-Textile) Review Request: perl-Text-Textile - A humane web text generator
Review Request: perl-Text-Textile - A humane web text generator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Text-Text...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-03 09:11 EDT by Iain Arnell
Modified: 2009-05-13 22:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.03-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-04 01:58:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-05-03 09:11:36 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Text-Textile.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Text-Textile-2.03-1.fc12.src.rpm

Description:
Text::Textile is a Perl-based implementation of Dean Allen's Textile syntax.
Textile is shorthand for doing common formatting tasks.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1333759

*rt-0.09
Comment 1 Parag AN(पराग) 2009-05-03 11:39:46 EDT
Review:
+ package builds in mock (rawhide i586).
lkoji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1333759
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
227cc4c97850b4f8448fa2d73c9c328a  Text-Textile-2.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
Files=5, Tests=6,  0 wallclock secs ( 0.06 usr  0.02 sys +  0.47 cusr  0.07 csys =  0.62 CPU)
+ Package perl-Text-Textile-2.03-1.fc12.noarch ->
  Provides: perl(Text::Textile) = 2.03
  Requires: perl(Exporter) perl(strict) perl(vars)

 APPROVED.
Comment 2 Iain Arnell 2009-05-03 11:57:18 EDT
New Package CVS Request
=======================
Package Name: perl-Text-Textile
Short Description: A humane web text generator
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-05-03 23:58:43 EDT
cvs done.
Comment 4 Fedora Update System 2009-05-04 01:53:18 EDT
perl-Text-Textile-2.03-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Text-Textile-2.03-1.fc11
Comment 5 Fedora Update System 2009-05-04 01:53:23 EDT
perl-Text-Textile-2.03-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Text-Textile-2.03-1.fc10
Comment 6 Iain Arnell 2009-05-04 01:58:06 EDT
Thanks for the review! :-)
Comment 7 Fedora Update System 2009-05-13 22:51:43 EDT
perl-Text-Textile-2.03-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-05-13 22:54:59 EDT
perl-Text-Textile-2.03-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.